<?php 
/*
Plugin Name: WC P.IVA e Codice Fiscale
Plugin URI: http://dot4all.it/woocommerce-inserire-codice-fiscale-partita-iva/
Description: Il plugin rende compatibile woocommerce per mercato italiano. Aggiunge i campi "codice fiscale" e "partita iva". I campi saranno memorizzati e si visualizzeranno sia nell'ordine che nell'email inviata cliente.
Version: 1.0
Author: dot4all
Author URI: http://dot4all.it
*/


add_action('wp_head', 'load_js_file');


function load_js_file()
{
	wp_enqueue_script('cf-piva-js', WP_PLUGIN_URL.'/dot4all-wc-cf-piva/js/script.js');
	wp_enqueue_style( 'cf-piva-css', WP_PLUGIN_URL.'/dot4all-wc-cf-piva/css/style.css' );
}


add_action( 'woocommerce_after_checkout_billing_form', 'blocco_cf_piva' );
 
function blocco_cf_piva( $checkout ) {
 
    echo '<div id="cf-piva-block"><h3>' . __('Tipologia Fattura') . '</h3><input class="checkoutchose" type="radio" name="fatturazione" value="ricevuta" checked><span>&nbsp;Privato</span>&nbsp;&nbsp;&nbsp;<input class="checkoutchose" type="radio" name="fatturazione" value="fattura"><span>&nbsp;Titolare di Partita IVA</span><br />';
    
    
    woocommerce_form_field( 'woocommerce_cf', array(
        'type'          => 'text',
        'class'         => array('my-field-class form-row-wide'),
        'label'         => __('Cod. Fiscale <abbr class="required" title="obbligatorio"></abbr>'),
        'placeholder'   => __(''),
        'required'		=> 'false',
        ), $checkout->get_value( 'woocommerce_cf' ));
    
    woocommerce_form_field( 'woocommerce_piva', array(
        'type'          => 'text',
        'class'         => array('my-field-class form-row-wide'),
        'label'         => __('P.IVA <abbr class="required" title="obbligatorio"></abbr>'),
        'placeholder'   => __(''),
        'required'		=> 'false',
        ), $checkout->get_value( 'woocommerce_piva' ));
 
    echo '</div>';
 
}


//cf + piva
add_action('woocommerce_checkout_process', 'controllo_campo_cf_piva');
 
function controllo_campo_cf_piva() {
    if ( ! $_POST['woocommerce_cf'] && ! $_POST['woocommerce_cf'] )
    	wc_add_notice( __( 'Inserisci o il Cod. Fiscale. oppure la Partita IVA' ), 'error' );
}



//cf
add_action('woocommerce_checkout_process', 'controllo_campo_cf');
 
function controllo_campo_cf() {
    if ( $_POST['woocommerce_cf'] && strlen($_POST['woocommerce_cf']) < 16 )
        wc_add_notice( __( 'Inserisci correttamente il Cod. Fiscale.' ), 'error' );
}
//piva
add_action('woocommerce_checkout_process', 'controllo_campo_piva');
 
function controllo_campo_piva() {
    if ( $_POST['woocommerce_piva'] && strlen($_POST['woocommerce_piva']) < 9 )
        wc_add_notice( __( 'Inserisci correttamente la P.IVA' ), 'error' );
}

//cf
add_action( 'woocommerce_checkout_update_order_meta', 'order_meta_campo_cf' );
 
function order_meta_campo_cf( $order_id ) {
    if ( ! empty( $_POST['woocommerce_cf'] ) ) {
        update_post_meta( $order_id, 'campo_cf', sanitize_text_field( $_POST['woocommerce_cf'] ) );
    }
}
//piva
add_action( 'woocommerce_checkout_update_order_meta', 'order_meta_campo_piva' );
 
function order_meta_campo_piva( $order_id ) {
    if ( ! empty( $_POST['woocommerce_piva'] ) ) {
        update_post_meta( $order_id, 'campo_piva', sanitize_text_field( $_POST['woocommerce_piva'] ) );
    }
}

//cf
add_action( 'woocommerce_admin_order_data_after_billing_address', 'edit_order_campo_cf', 10, 1 );
 
function edit_order_campo_cf($order){
    echo '<p><strong>'.__('Cod. Fiscale').':</strong> ' . get_post_meta( $order->id, 'campo_cf', true ) . '</p>';
}

//piva
add_action( 'woocommerce_admin_order_data_after_billing_address', 'edit_order_campo_piva', 10, 1 );
 
function edit_order_campo_piva($order){
    echo '<p><strong>'.__('P. Iva').':</strong> ' . get_post_meta( $order->id, 'campo_piva', true ) . '</p>';
}

//cf
add_action('woocommerce_order_details_after_order_table', 'info_order');

function info_order($order_id){
	$order_object = new WC_Order( $order_id );
	//cf
    if(get_post_meta( $order_id->id , 'campo_cf', true)!='') {echo '<p><strong>Cod. Fiscale:</strong>' . get_post_meta( $order_id->id , 'campo_cf', true) . '</p>';}
    //piva
    if(get_post_meta( $order_id->id , 'campo_piva', true)!='') {echo '<p><strong>P. Iva:</strong>' . get_post_meta( $order_id->id , 'campo_piva', true) . '</p>';}
}



add_action('woocommerce_email_after_order_table', 'info_order_email');

function info_order_email($order_id){
    $order_object = new WC_Order( $order_id );
    //cf
    if(get_post_meta( $order_id->id , 'campo_cf', true)!='') {echo '<p><strong>Cod. Fiscale:</strong>' . get_post_meta( $order_id->id , 'campo_cf', true) . '</p>';}
    //piva
    if(get_post_meta( $order_id->id , 'campo_piva', true)!='') {echo '<p><strong>P. Iva:</strong>' . get_post_meta( $order_id->id , 'campo_piva', true) . '</p>';}
}


?>